Package org.apache.iotdb.jdbc

## Class IoTDBConnectionParams

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBConnectionParams

    public class IoTDBConnectionParams
    extends java.lang.Object

### Constructor Summary

Constructors
`IoTDBConnectionParams​(java.lang.String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()`
`java.lang.String` `getJdbcUriString()`
`java.lang.String` `getPassword()`
`int` `getPort()`
`java.lang.String` `getSeriesName()`
`int` `getThriftDefaultBufferSize()`
`int` `getThriftMaxFrameSize()`
`java.lang.String` `getUsername()`
`void` `setHost​(java.lang.String host)`
`void` `setJdbcUriString​(java.lang.String jdbcUriString)`
`void` `setPassword​(java.lang.String password)`
`void` `setPort​(int port)`
`void` `setSeriesName​(java.lang.String seriesName)`
`void` `setThriftDefaultBufferSize​(int thriftDefaultBufferSize)`
`void` `setThriftMaxFrameSize​(int thriftMaxFrameSize)`
`void` `setUsername​(java.lang.String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IoTDBConnectionParams

    public IoTDBConnectionParams​(java.lang.String url)

### Method Detail

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost​(java.lang.String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort​(int port)

#### getJdbcUriString

    public java.lang.String getJdbcUriString()

#### setJdbcUriString

    public void setJdbcUriString​(java.lang.String jdbcUriString)

#### getSeriesName

    public java.lang.String getSeriesName()

#### setSeriesName

    public void setSeriesName​(java.lang.String seriesName)

#### getUsername

    public java.lang.String getUsername()

#### setUsername

    public void setUsername​(java.lang.String username)

#### getPassword

    public java.lang.String getPassword()

#### setPassword

    public void setPassword​(java.lang.String password)

#### getThriftDefaultBufferSize

    public int getThriftDefaultBufferSize()

#### setThriftDefaultBufferSize

    public void setThriftDefaultBufferSize​(int thriftDefaultBufferSize)

#### getThriftMaxFrameSize

    public int getThriftMaxFrameSize()

#### setThriftMaxFrameSize

    public void setThriftMaxFrameSize​(int thriftMaxFrameSize)